' ERROR.BI, v1.0
'
' Copyright (C) 2002 Michael Webster
'
' This program is distributed under the terms of the GNU General
' Public License. Refer to the BAS module for the complete notice.

' This file contains the constant and procedure declarations for ERROR.BAS.

' Define constants for the QuickBASIC error codes.
CONST cErrorNextWithoutFor = 1
CONST cErrorSyntaxError = 2
CONST cErrorReturnWithoutGosub = 3
CONST cErrorOutOfData = 4
CONST cErrorIllegalFunctionCall = 5
CONST cErrorOverflow = 6
CONST cErrorOutOfMemory = 7
CONST cErrorLabelNotDefined = 8
CONST cErrorSubscriptOutOfRange = 9
CONST cErrorDuplicateDefinition = 10
CONST cErrorDivisionByZero = 11
CONST cErrorIllegalInDirectMode = 12
CONST cErrorTypeMismatch = 13
CONST cErrorOutOfStringSpace = 14
CONST cErrorStringFormulaTooComplex = 16
CONST cErrorCannotContinue = 17
CONST cErrorFunctionNotDefined = 18
CONST cErrorNoResume = 19
CONST cErrorResumeWithoutError = 20
CONST cErrorDeviceTimeout = 24
CONST cErrorDeviceFault = 25
CONST cErrorForWithoutNext = 26
CONST cErrorOutOfPaper = 27
CONST cErrorWhileWithoutWend = 29
CONST cErrorWendWithoutWhile = 30
CONST cErrorDuplicateLabel = 33
CONST cErrorSubprogramNotDefined = 35
CONST cErrorArgumentCountMismatch = 37
CONST cErrorArrayNotDefined = 38
CONST cErrorCaseElseExpected = 39
CONST cErrorVariableRequired = 40
CONST cErrorFieldOverflow = 50
CONST cErrorInternalError = 51
CONST cErrorBadFileNameOrNumber = 52
CONST cErrorFileNotFound = 53
CONST cErrorBadFileMode = 54
CONST cErrorFileAlreadyOpen = 55
CONST cErrorFieldStatementActive = 56
CONST cErrorDeviceIoError = 57
CONST cErrorFileAlreadyExists = 58
CONST cErrorBadRecordLength = 59
CONST cErrorDiskFull = 61
CONST cErrorInputPastEndOfFile = 62
CONST cErrorBadRecordNumber = 63
CONST cErrorBadFileName = 64
CONST cErrorTooManyFiles = 67
CONST cErrorDeviceUnavailable = 68
CONST cErrorCommunicationBufferOverflow = 69
CONST cErrorPermissionDenied = 70
CONST cErrorDiskNotReady = 71
CONST cErrorDiskMediaError = 72
CONST cErrorAdvancedFeatureUnavailable = 73
CONST cErrorRenameAcrossDisks = 74
CONST cErrorPathFileAccessError = 75
CONST cErrorPathNotFound = 76

DECLARE FUNCTION QbErrorMsg$ (errorCode%)

